import { A } from "@solidjs/router";
import { JSXElement } from "solid-js";

import { LoginButton } from "../Components/LoginButton";
import { Menu } from "../Components/Menu";
import { Flake } from "../Util/Icons";

export function Navbar(): JSXElement {
  return (
    <div class="max-w navbar max-w-3xl rounded-box text-neutral-content md:my-4">
      <div class="flex-1">
        <A href={"/"} class="btn btn-ghost text-xl normal-case">
          <Flake />
          FrostByte
        </A>
      </div>
      <div class="flex">
        <Menu />
      </div>
      <div class="flex flex-1 justify-end">
        <LoginButton />
      </div>
    </div>
  );
}
