import { JSXElement } from "solid-js";

// PrimaryContainer is the main container for the content section of the page.
export function PrimaryContainer(props: { children: JSXElement }): JSXElement {
  return (
    <div class="mb-8 flex w-full flex-col items-center space-y-2 px-2 md:max-w-3xl ">
      {props.children}
    </div>
  );
}
